apiVersion: v1
kind: Secret
metadata:
  name: {{ include "wordpress.fullname" . }}
  labels:
    {{- include "wordpress.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": "pre-install"
    "helm.sh/hook-delete-policy": "before-hook-creation"
type: Opaque
data:
  password: {{ default (randAlphaNum 10) .Values.env.password | b64enc | quote }}
  AUTH_KEY: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.AUTH_KEY  | b64enc | quote }}
  SECURE_AUTH_KEY: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.SECURE_AUTH_KEY  | b64enc | quote }}
  LOGGED_IN_KEY: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.LOGGED_IN_KEY  | b64enc | quote }}
  NONCE_KEY: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.NONCE_KEY  | b64enc | quote }}
  AUTH_SALT: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.AUTH_SALT  | b64enc | quote }}
  SECURE_AUTH_SALT: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.SECURE_AUTH_SALT  | b64enc | quote }}
  LOGGED_IN_SALT: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.LOGGED_IN_SALT  | b64enc | quote }}
  NONCE_SALT: {{ default (randAlphaNum 20 | sha1sum ) .Values.env.NONCE_SALT  | b64enc | quote }}
